Package org.apache.wiki.forms

## Class FormOutput

- java.lang.Object
- - org.apache.wiki.forms.FormElement
  - - org.apache.wiki.forms.FormOutput

All Implemented Interfaces:
  `Plugin`

    public class FormOutput
    extends FormElement

### Field Summary

### Fields inherited from class org.apache.wiki.forms.FormElement

`FORM_VALUES_CARRIER, HANDLERPARAM_PREFIX, HIDE_SUCCESS, PARAM_ELEMENT, PARAM_FORM, PARAM_FORMNAMEHIDDEN, PARAM_HANDLER, PARAM_HIDEFORM, PARAM_INPUTNAME, PARAM_POPULATE, PARAM_SUBMITHANDLER, PARAM_VALUE`

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

### Constructor Summary

Constructors
`FormOutput()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `execute​(Context ctx, java.util.Map<java.lang.String,​java.lang.String> params)` Executes the FormHandler specified in a Form 'output' plugin, using entries provided in the HttpRequest as FormHandler parameters.

### Methods inherited from class org.apache.wiki.forms.FormElement

`getFormInfo, storeFormInfo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FormOutput

    public FormOutput()

### Method Detail

#### execute

    public java.lang.String execute​(Context ctx,
                                    java.util.Map<java.lang.String,​java.lang.String> params)
                             throws PluginException

Executes the FormHandler specified in a Form 'output' plugin, using entries provided in the HttpRequest as FormHandler parameters.

If the parameter 'populate' was given, the WikiPlugin it names is used to get default values. (It probably makes a lot of sense for this to be the same plugin as the handler.) Information for the populator can be given with the FormSet plugin. If 'populate' is not specified, the form is not displayed.

Should there be no HTTP request associated with this request, the method will return immediately with an empty string.

Parameters:
  `ctx` -
  `params` -
Returns:
Throws:
  `PluginException`